// This may look like C code, but it is really -*- C++ -*-

//<copyright>
// 
// Copyright (c) 1995
// Institute for Information Processing and Computer Supported New Media (IICM),
// Graz University of Technology, Austria.
// 
//</copyright>

//<file>
//
// Name:       base64.h
//
// Purpose:    WWW Gateway; uuncoding routines
//
// Created:    16 Jun 95    Till Vollmer
//
// Modified:
//
//
//
// Description:
//
//
//</file>

#ifndef http_base64_h
#define http_base64_h

#include <hyperg/utils/str.h>

class Base64 
{
public:
    Base64(){}
    RString decode(const RString&);
    RString encode(const RString&);
private:
  int uu_encode(const unsigned char* bufin, unsigned int nbytes, char* bufcoded);
  int uu_decode(const char* bufcoded, unsigned char* bufplain, int outbufsize);
};

#endif










